-- create empty table

if not card then
   card = {}
   end

-- this defines which and how many cards are in play!

cardlist = 
{ 
card.invalid, 

card.megrez,
card.alioth,

card.hero,
card.friend,

-- Zentren
card.tradecenter_2, 
card.tradecenter_1_1, 
card.tradecenter_1_2, 
card.logisticcenter_2, 
card.logisticcenter_1_1, 
card.logisticcenter_1_2, 
card.admincenter_2, 
card.admincenter_1_1, 
card.admincenter_1_2, 
card.newcenter_2, 
card.newcenter_1_1, 
card.newcenter_1_2, 
card.productioncenter_2, 
card.productioncenter_1_1, 
card.productioncenter_1_2, 
card.sciencecenter_2, 
card.sciencecenter_1_1, 
card.sciencecenter_1_2, 
card.servicecenter_2, 
card.servicecenter_1_1, 
card.servicecenter_1_2, 


-- Reservestapel
card.diplomacy_3, 
card.greenbase, 
card.pirates_2_2, 
card.pirates_3_2, 
card.pirates_4_1, 
card.lostplanet_1, 
card.lostplanet_2, 
card.knowledgebase, 
card.benet_nash, 
card.mizar, 
card.pirates_4_4, 
card.pirates_5_1, 
card.lostplanet_3, 
card.lostplanet_4, 
card.traderbase, 
card.enif, 
card.theta_pegasi, 
card.pirates_5_2, 
card.pirates_6_1, 
card.lostplanet_5, 
card.lostplanet_6, 
card.median, 
card.pirates_6_3, 
card.pirates_7_1, 
card.lostplanet_7, 
card.lostplanet_8, 
card.lostplanet_9, 
card.lostplanet_10, 

-- Sektorenstapel
card.hades, 
card.pallas, 
card.picasso, 
card.poseidon, 
card.alnitak, 
card.bazaltide, 
card.beowulfs, 
card.beteigeuze, 
card.brocollar, 
card.califasperum, 
card.corendium, 
card.cupperius, 
card.gonsarium, 
card.ireoni, 
card.leedsi, 
card.litigus, 
card.marsitis, 
card.martiin_tempest, 
card.martkwal, 
card.mintaka, 
card.parapeckis, 
card.phlatiarum, 
card.planctoinis, 
card.pobeckifiked, 
card.quartzee, 
card.rigel, 
card.saiph, 
card.sputsallia, 
card.tostoku, 
card.alkor, 
card.bellatrix, 
card.dubhe, 
card.heka, 
card.merak, 
card.phekda, 
card.kopernikus, 
card.diplomacy_1, 
card.diplomacy_2, 
card.pirates_2_3, 
card.pirates_3_1, 
card.lostplanet_11, 
card.lostplanet_12, 
card.lostplanet_13, 
card.lostplanet_14, 
card.lostplanet_15, 
card.pirates_2_1, 
card.pirates_3_3, 
card.pirates_3_4, 
card.pirates_4_2, 
card.pirates_4_3, 
card.pirates_5_3, 
card.pirates_5_4, 
card.pirates_6_2, 
card.pirates_7_2, 
card.gaia4, 
card.gemini_alpha, 
card.gemini_beta, 
card.gemini_gamma, 
card.gemini_delta, 
card.gemini_epsilon, 
card.zirkon, 

-- Abenteurkarten
card.diplomatgift, 
card.tradergift, 
card.crisis, 
card.nest, 
card.hunger, 
card.comorder_1, 
card.council, 
card.call, 
card.plague, 
card.comorder_2, 
card.reconstruction, 
card.monument, 
card.plague_task_1, 
card.plague_task_2, 
card.plague_task_3, 
card.plague_task_4, 
card.plague_task_5, 
card.plague_task_6, 
card.plague_task_7, 
card.plague_task_8, 
card.plague_task_9, 
card.plague_task_10, 
card.plague_task_11, 
card.plague_task_12, 
card.plague_task_13, 
card.bib_task_9, 
card.bib_task_10, 
card.bib_task_11, 
card.bib_task_12, 
card.task_gemini_1, 
card.task_gemini_2, 
card.task_gemini_3, 
card.task_gemini_4, 
card.task_gemini_5, 
card.task_gemini_6, 
card.task_gemini_7, 
card.task_gemini_8, 
card.task_gemini_9, 
card.task_gemini_10, 
card.task_gemini_11, 
card.task_ore_1, 
card.task_ore_2, 
card.task_ore_3, 
card.task_ore_4, 
card.task_ore_5, 
card.task_ore_6, 
} 


-- execute script: change for different card lists:
-- * function called by code 
function ExecuteRegisterScript( ) 

-- register all cards in main cardlist: 
InsertCardListToIndex( cardlist ) 

-- move all cards to their starting positions 
-- (from where they are distributed to game final positions) 
SetAllCardsToDefaultStack() 

--Zentren Spieler 1
MoveCardToStack( card.tradecenter_1_1, "stack_center_player_1") 
MoveCardToStack( card.tradecenter_1_2, "stack_center_player_2") 
MoveCardToStack( card.logisticcenter_1_1, "stack_center_player_1") 
MoveCardToStack( card.logisticcenter_1_2, "stack_center_player_2") 
MoveCardToStack( card.admincenter_1_1, "stack_center_player_1") 
MoveCardToStack( card.admincenter_1_2, "stack_center_player_2") 
MoveCardToStack( card.newcenter_1_1, "stack_center_player_1") 
MoveCardToStack( card.newcenter_1_2, "stack_center_player_2") 
MoveCardToStack( card.productioncenter_1_1, "stack_center_player_1") 
MoveCardToStack( card.productioncenter_1_2, "stack_center_player_2") 
MoveCardToStack( card.sciencecenter_1_1, "stack_center_player_1") 
MoveCardToStack( card.sciencecenter_1_2, "stack_center_player_2") 

--Reservestapel 1
MoveCardToStack( card.diplomacy_3, "stack_tmpsektorreserve_1") 
MoveCardToStack( card.greenbase, "stack_tmpsektorreserve_1") 
MoveCardToStack( card.pirates_2_2, "stack_tmpsektorreserve_1") 
MoveCardToStack( card.pirates_3_2, "stack_tmpsektorreserve_1") 
MoveCardToStack( card.pirates_4_1, "stack_tmpsektorreserve_1") 
MoveCardToStack( card.lostplanet_1, "stack_tmpsektorreserve_1") 
MoveCardToStack( card.lostplanet_2, "stack_tmpsektorreserve_1") 
--Reservestapel 2
MoveCardToStack( card.knowledgebase, "stack_tmpsektorreserve_2") 
MoveCardToStack( card.benet_nash, "stack_tmpsektorreserve_2") 
MoveCardToStack( card.mizar, "stack_tmpsektorreserve_2") 
MoveCardToStack( card.pirates_4_4, "stack_tmpsektorreserve_2") 
MoveCardToStack( card.pirates_5_1, "stack_tmpsektorreserve_2") 
MoveCardToStack( card.lostplanet_3, "stack_tmpsektorreserve_2") 
MoveCardToStack( card.lostplanet_4, "stack_tmpsektorreserve_2") 
--Reservestapel 3
MoveCardToStack( card.traderbase, "stack_tmpsektorreserve_3") 
MoveCardToStack( card.enif, "stack_tmpsektorreserve_3") 
MoveCardToStack( card.theta_pegasi, "stack_tmpsektorreserve_3") 
MoveCardToStack( card.pirates_5_2, "stack_tmpsektorreserve_3") 
MoveCardToStack( card.pirates_6_1, "stack_tmpsektorreserve_3") 
MoveCardToStack( card.lostplanet_5, "stack_tmpsektorreserve_3") 
MoveCardToStack( card.lostplanet_6, "stack_tmpsektorreserve_3") 
--Reservestapel 4
MoveCardToStack( card.median, "stack_tmpsektorreserve_4") 
MoveCardToStack( card.pirates_6_3, "stack_tmpsektorreserve_4") 
MoveCardToStack( card.pirates_7_1, "stack_tmpsektorreserve_4") 
MoveCardToStack( card.lostplanet_7, "stack_tmpsektorreserve_4") 
MoveCardToStack( card.lostplanet_8, "stack_tmpsektorreserve_4") 
MoveCardToStack( card.lostplanet_9, "stack_tmpsektorreserve_4") 
MoveCardToStack( card.lostplanet_10, "stack_tmpsektorreserve_4") 


--Reservestapel
ShuffleStack("stack_tmpsektorreserve_1") 
ShuffleStack("stack_tmpsektorreserve_2") 
ShuffleStack("stack_tmpsektorreserve_3") 
ShuffleStack("stack_tmpsektorreserve_4") 

MoveMultipleCardsToStack("stack_tmpsektorreserve_1","stack_sektorreserve",7) 
MoveMultipleCardsToStack("stack_tmpsektorreserve_2","stack_sektorreserve",7) 
MoveMultipleCardsToStack("stack_tmpsektorreserve_3","stack_sektorreserve",7) 
MoveMultipleCardsToStack("stack_tmpsektorreserve_4","stack_sektorreserve",7) 

--Sektor 1
--Sektor 2
--Sektor 3
--Sektor 4


--Sektorenstapel
ShuffleStack("stack_tmpsektor") 

MoveMultipleCardsToStack("stack_tmpsektor","stack_sektormain_0",10) 
MoveMultipleCardsToStack("stack_tmpsektor","stack_sektormain_1",10) 
MoveMultipleCardsToStack("stack_tmpsektor","stack_sektormain_2",10) 
MoveMultipleCardsToStack("stack_tmpsektor","stack_sektormain_3",10) 


--Abenteurkarten
MoveCardToStack( card.diplomatgift, "stack_tmpadventure_1") 
MoveCardToStack( card.tradergift, "stack_tmpadventure_1") 
MoveCardToStack( card.crisis, "stack_tmpadventure_1") 
MoveCardToStack( card.nest, "stack_tmpadventure_2") 
MoveCardToStack( card.hunger, "stack_tmpadventure_2") 
MoveCardToStack( card.comorder_1, "stack_tmpadventure_2") 
MoveCardToStack( card.council, "stack_tmpadventure_3") 
MoveCardToStack( card.call, "stack_tmpadventure_3") 
MoveCardToStack( card.plague, "stack_tmpadventure_3") 
MoveCardToStack( card.comorder_2, "stack_tmpadventure_4") 
MoveCardToStack( card.reconstruction, "stack_tmpadventure_4") 
MoveCardToStack( card.monument, "stack_tmpadventure_4") 
--Abenteuerkarten
ShuffleStack("stack_tmpadventure_1") 
ShuffleStack("stack_tmpadventure_2") 
ShuffleStack("stack_tmpadventure_3") 
ShuffleStack("stack_tmpadventure_4") 

MoveMultipleCardsToStack("stack_tmpadventure_1","stack_adventure_1",1) 
MoveMultipleCardsToStack("stack_tmpadventure_1","stack_adventure_2",1) 
MoveMultipleCardsToStack("stack_tmpadventure_1","stack_adventure_3",1) 

MoveMultipleCardsToStack("stack_tmpadventure_2","stack_adventure_reserve",3) 
MoveMultipleCardsToStack("stack_tmpadventure_3","stack_adventure_reserve",3) 
MoveMultipleCardsToStack("stack_tmpadventure_4","stack_adventure_reserve",3) 


--Siegbedingungen
AddAim_Winpoints(0,10,"won")
AddAim_Winpoints(1,10,"won")
--Karten die nicht vorkommen 
MoveCardToStack( card.servicecenter_1_1, "stack_nirvana") 
MoveCardToStack( card.servicecenter_1_2, "stack_nirvana") 
MoveCardToStack( card.servicecenter_2, "stack_nirvana") 
MoveCardToStack( card.plague_task_1, "stack_nirvana") 
MoveCardToStack( card.plague_task_2, "stack_nirvana") 
MoveCardToStack( card.plague_task_3, "stack_nirvana") 
MoveCardToStack( card.plague_task_4, "stack_nirvana") 
MoveCardToStack( card.plague_task_5, "stack_nirvana") 
MoveCardToStack( card.plague_task_6, "stack_nirvana") 
MoveCardToStack( card.plague_task_7, "stack_nirvana") 
MoveCardToStack( card.plague_task_8, "stack_nirvana") 
MoveCardToStack( card.plague_task_9, "stack_nirvana") 
MoveCardToStack( card.plague_task_10, "stack_nirvana") 
MoveCardToStack( card.plague_task_11, "stack_nirvana") 
MoveCardToStack( card.plague_task_12, "stack_nirvana") 
MoveCardToStack( card.plague_task_13, "stack_nirvana") 
MoveCardToStack( card.bib_task_9, "stack_nirvana") 
MoveCardToStack( card.bib_task_10, "stack_nirvana") 
MoveCardToStack( card.bib_task_11, "stack_nirvana") 
MoveCardToStack( card.bib_task_12, "stack_nirvana") 
MoveCardToStack( card.task_gemini_1, "stack_nirvana") 
MoveCardToStack( card.task_gemini_2, "stack_nirvana") 
MoveCardToStack( card.task_gemini_3, "stack_nirvana") 
MoveCardToStack( card.task_gemini_4, "stack_nirvana") 
MoveCardToStack( card.task_gemini_5, "stack_nirvana") 
MoveCardToStack( card.task_gemini_6, "stack_nirvana") 
MoveCardToStack( card.task_gemini_7, "stack_nirvana") 
MoveCardToStack( card.task_gemini_8, "stack_nirvana") 
MoveCardToStack( card.task_gemini_9, "stack_nirvana") 
MoveCardToStack( card.task_gemini_10, "stack_nirvana") 
MoveCardToStack( card.task_gemini_11, "stack_nirvana") 
MoveCardToStack( card.task_ore_1, "stack_nirvana") 
MoveCardToStack( card.task_ore_2, "stack_nirvana") 
MoveCardToStack( card.task_ore_3, "stack_nirvana") 
MoveCardToStack( card.task_ore_4, "stack_nirvana") 
MoveCardToStack( card.task_ore_5, "stack_nirvana") 
MoveCardToStack( card.task_ore_6, "stack_nirvana") 
MoveCardToStack( card.lostplanet_11, "stack_nirvana") 
MoveCardToStack( card.lostplanet_12, "stack_nirvana") 
MoveCardToStack( card.lostplanet_13, "stack_nirvana") 
MoveCardToStack( card.lostplanet_14, "stack_nirvana") 
MoveCardToStack( card.lostplanet_15, "stack_nirvana") 
MoveCardToStack( card.pirates_2_1, "stack_nirvana") 
MoveCardToStack( card.pirates_3_3, "stack_nirvana") 
MoveCardToStack( card.pirates_3_4, "stack_nirvana") 
MoveCardToStack( card.pirates_4_2, "stack_nirvana") 
MoveCardToStack( card.pirates_4_3, "stack_nirvana") 
MoveCardToStack( card.pirates_5_3, "stack_nirvana") 
MoveCardToStack( card.pirates_5_4, "stack_nirvana") 
MoveCardToStack( card.pirates_6_2, "stack_nirvana") 
MoveCardToStack( card.pirates_7_2, "stack_nirvana") 
MoveCardToStack( card.gaia4, "stack_nirvana") 
MoveCardToStack( card.gemini_alpha, "stack_nirvana") 
MoveCardToStack( card.gemini_beta, "stack_nirvana") 
MoveCardToStack( card.gemini_gamma, "stack_nirvana") 
MoveCardToStack( card.gemini_delta, "stack_nirvana") 
MoveCardToStack( card.gemini_epsilon, "stack_nirvana") 
MoveCardToStack( card.zirkon, "stack_nirvana") 

end 
