-- catan mission script: STANDARD CLASSIC GAME
-- 1.0 15-JUL-2003

catan_mission_init = {

-- key name of this mission
mission_keyname = "MISSION_1_KAMPAGNE_1",

----------------------------
------- MISSION BASE -------
----------------------------

mood_win_condition = 0,
intro_sound_id = catsound.MUSIC_MISSION_CLASSIC,

-----------
-- MISSION

-- title text of this mission, resource name
mission_title_resname = "~classic",

-- mission description
mission_description_resname = "~Klassisches Sternenschiff Catan",

-- mission creator (use "rockazonga" for our missions)
mission_creator = "",

-- mission graphic 
mission_graphic_resname = "mission.gfx.planet_1_1",

-- mission textlib 
mission_textlib_resname = "not-set",

-- name of sequence script, resource name
sequence_script_resname = "not-set",

-- name of intro sequence
intro_seq_resname = "not-set",

-- name of extro sequences
extro_won_seq_resname = "not-set",
extro_lost_seq_resname = "not-set",

-- multiplayer: is this mission playable ? (0=no, 2=two player)
multi_playable = 2,

-- winpoints when mission won
mission_winpoints_won = 0,

-- winpoints when mission lost (may be negative to lose points)
mission_winpoints_lost = 0,

-- is mission available at campaign start
mission_avail = true,

-- mission to enable when this mission is won (MISSION_KEYNAME)
mission_enable = "not-set",

-- mission location
mission_location = "not-set",

-----------
-- CAMPAIGN

-- campaign: IS a campaign anchor ?
campaign_anchor = true,

-- campaign: this is the name of campaign (KEYWORD for all other!)
campaign_name = "KAMPAGNE_1",

-- campaign description, text resource
campaign_description = "KAMPAGNE:DES_1",

-- campaign graphic
campaign_graphic_resname = "mission.gfx.campaign_3",

-- winpoints needed to complete campaign
campaign_winpoints_needed = 0,

-- anchor mission of next campaign (MISSION_KEYNAME)
campaign_next_anchor = "MISSION_1_KAMPAGNE_2",

-- campaign extro sequence, sequence name
campaign_extro_sequence = "not-set",

-- is campaign available at game start
campaign_avail = true,

----------------------------
------- CATAN MISSION ------
----------------------------

-----------
-- MISSION

-- script: card register
script_cardregister_resname = "classic_cardreg.lua",
script_cardregister_fromfile  = true,

-- script: card list
script_cardlist_resname = "complete_cardlist.lua",
script_cardlist_fromfile  = true,

-- script: game start parameter
script_gamestart_resname = "classic_setting.lua",
script_gamestart_fromfile  = true,

-- position where to show mission graphic
mission_graphic_xpos = 100,
mission_graphic_ypos = 100,

-- mission picture on info bar
mission_picture = "mission.gfx.mission_1_2",

-----------
-- CAMPAIGN

-- starmap resource for campaign
campaign_sector_map = "back.gfx.starmap2",

}